Debian Bug report logs - #380439
tinyscheme: Segmentation fault on (let (x 1))

version graph

Package: tinyscheme; Maintainer for tinyscheme is Panu Kalliokoski <atehwa@sange.fi>; Source for tinyscheme is src:tinyscheme.

Reported by: Volker Grabsch <vog@notjusthosting.com>

Date: Sun, 30 Jul 2006 08:33:13 UTC

Severity: serious

Tags: patch

Found in version tinyscheme/1.37-3

Fixed in version tinyscheme/1.37-3.1

Done: Luca Falavigna <dktrkranz@ubuntu.com>

Bug is archived. No further changes may be made.

Forwarded to dsouflis@acm.org, shap@eros-os.org

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Panu Kalliokoski <atehwa@sange.fi>:
Bug#380439; Package tinyscheme. Full text and rfc822 format available.

Acknowledgement sent to Volker Grabsch <vog@notjusthosting.com>:
New Bug report received and forwarded. Copy sent to Panu Kalliokoski <atehwa@sange.fi>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Volker Grabsch <vog@notjusthosting.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: tinyscheme: Segmentation fault on (let (x 1))
Date: Sun, 30 Jul 2006 10:19:54 +0200
Package: tinyscheme
Version: 1.37-3
Severity: important

To reproduce the bug, type this at the command line:

$ tinyscheme 
TinyScheme 1.37
> (let (x 1))
Segmentation fault

-- System Information:
Debian Release: testing/unstable
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.14.3-satapm
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968) (ignored: LC_ALL set to C)

Versions of packages tinyscheme depends on:
ii  libc6                         2.3.6-13   GNU C Library: Shared libraries

tinyscheme recommends no packages.

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Panu Kalliokoski <atehwa@sange.fi>:
Bug#380439; Package tinyscheme. Full text and rfc822 format available.

Acknowledgement sent to Panu Kalliokoski <panu.kalliokoski@helsinki.fi>:
Extra info received and forwarded to list. Copy sent to Panu Kalliokoski <atehwa@sange.fi>. Full text and rfc822 format available.

Message #10 received at 380439@bugs.debian.org (full text, mbox):

From: Panu Kalliokoski <panu.kalliokoski@helsinki.fi>
To: Volker Grabsch <vog@notjusthosting.com>, 380439@bugs.debian.org
Subject: Re: Bug#380439: tinyscheme: Segmentation fault on (let (x 1))
Date: Thu, 10 Aug 2006 05:59:53 +0300
On Sun, Jul 30, 2006 at 10:19:54AM +0200, Volker Grabsch wrote:
> $ tinyscheme 
> TinyScheme 1.37
> > (let (x 1))
> Segmentation fault

I verified this.  Actually, it seems tinyscheme will segfault if the let
assignment list contains any numbers.  I will forward this upstream.

(Just to make sure: you do know it should probably be (let ((x 1)))?)

Panu

-- 
personal contact:	panu.kalliokoski@helsinki.fi, +35841 5323835
technical contact:	atehwa@iki.fi, http://www.iki.fi/atehwa/
PGP fingerprint:	0EA5 9D33 6590 FFD4 921C  5A5F BE85 08F1 3169 70EC



Information forwarded to debian-bugs-dist@lists.debian.org, Panu Kalliokoski <atehwa@sange.fi>:
Bug#380439; Package tinyscheme. Full text and rfc822 format available.

Acknowledgement sent to Volker Grabsch <vog@notjusthosting.com>:
Extra info received and forwarded to list. Copy sent to Panu Kalliokoski <atehwa@sange.fi>. Full text and rfc822 format available.

Message #15 received at 380439@bugs.debian.org (full text, mbox):

From: Volker Grabsch <vog@notjusthosting.com>
To: Panu Kalliokoski <panu.kalliokoski@helsinki.fi>
Cc: 380439@bugs.debian.org
Subject: Re: Bug#380439: tinyscheme: Segmentation fault on (let (x 1))
Date: Sat, 12 Aug 2006 13:42:30 +0200
On Thu, Aug 10, 2006 at 05:59:53AM +0300, Panu Kalliokoski wrote:
> (Just to make sure: you do know it should probably be (let ((x 1)))?)

Of course I do. This was just a typo. :-)

Nevertheless, a program should never segfault, no matter how bad
the input was.



Greets,

    Volker

-- 
Volker Grabsch
---<<(())>>---
Administrator
NotJustHosting GbR



Information forwarded to debian-bugs-dist@lists.debian.org, Panu Kalliokoski <atehwa@sange.fi>:
Bug#380439; Package tinyscheme. Full text and rfc822 format available.

Acknowledgement sent to Panu Kalliokoski <panu.kalliokoski@helsinki.fi>:
Extra info received and forwarded to list. Copy sent to Panu Kalliokoski <atehwa@sange.fi>. Full text and rfc822 format available.

Message #20 received at 380439@bugs.debian.org (full text, mbox):

From: Panu Kalliokoski <panu.kalliokoski@helsinki.fi>
To: Volker Grabsch <vog@notjusthosting.com>
Cc: 380439@bugs.debian.org
Subject: Re: Bug#380439: tinyscheme: Segmentation fault on (let (x 1))
Date: Mon, 14 Aug 2006 11:14:57 +0300
On Sat, Aug 12, 2006 at 01:42:30PM +0200, Volker Grabsch wrote:
> > (Just to make sure: you do know it should probably be (let ((x 1)))?)
> 
> Of course I do. This was just a typo. :-)
> Nevertheless, a program should never segfault, no matter how bad
> the input was.

Yes, granted.

Panu

-- 
personal contact:	panu.kalliokoski@helsinki.fi, +35841 5323835
technical contact:	atehwa@iki.fi, http://www.iki.fi/atehwa/
PGP fingerprint:	0EA5 9D33 6590 FFD4 921C  5A5F BE85 08F1 3169 70EC
Please consider membership of http://www.hospitalityclub.org/!



Information forwarded to debian-bugs-dist@lists.debian.org, Panu Kalliokoski <atehwa@sange.fi>:
Bug#380439; Package tinyscheme. Full text and rfc822 format available.

Acknowledgement sent to Panu Kalliokoski <panu.kalliokoski@helsinki.fi>:
Extra info received and forwarded to list. Copy sent to Panu Kalliokoski <atehwa@sange.fi>. Full text and rfc822 format available.

Message #25 received at 380439@bugs.debian.org (full text, mbox):

From: Panu Kalliokoski <panu.kalliokoski@helsinki.fi>
To: dsouflis@acm.org, shap@eros-os.org
Cc: Volker Grabsch <vog@notjusthosting.com>, 380439-forwarded@bugs.debian.org, 380439@bugs.debian.org
Subject: [vog@notjusthosting.com: Bug#380439: tinyscheme: Segmentation fault on (let (x 1))]
Date: Tue, 15 Aug 2006 13:57:18 +0300
(Sorry for the doubles.  I'm learning to use Debian's BTS.  Please
preserve the 380439-forwarded@... address in CC on reply.)

Hello, I received the following bug report against tinyscheme 1.37.  It
seems that if the formals list in (let) has anything but (var value)
lists, tinyscheme may crash.  The use of |cadar| in OP_LET1 and |caar|
in OP_LET2 is unprotected.

----- Forwarded message from Volker Grabsch <vog@notjusthosting.com> -----

X-Sieve: cmu-sieve 2.0
Resent-From: pkalliok@cc.helsinki.fi
Resent-Date: Wed, 9 Aug 2006 19:43:03 +0300
Resent-Message-ID: <20060809164303.GF3377@juiblex.it.helsinki.fi>
Resent-To: panu.kalliokoski@helsinki.fi
X-Sieve: CMU Sieve 2.2
Subject: Bug#380439: tinyscheme: Segmentation fault on (let (x 1))
Reply-To: Volker Grabsch <vog@notjusthosting.com>, 380439@bugs.debian.org
Resent-From: Volker Grabsch <vog@notjusthosting.com>
Resent-To: debian-bugs-dist@lists.debian.org
Resent-CC: Panu Kalliokoski <atehwa@sange.fi>
Resent-Date: Sun, 30 Jul 2006 08:33:13 UTC
Resent-Message-ID: <handler.380439.B.11542477595016@bugs.debian.org>
X-Debian-PR-Message: report 380439
X-Debian-PR-Package: tinyscheme
X-Debian-PR-Keywords: 
X-Debian-PR-Source: tinyscheme
From: Volker Grabsch <vog@notjusthosting.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
X-Spam-Checker-Version: SpamAssassin 2.60-bugs.debian.org_2005_01_02 
	(1.212-2003-09-23-exp) on spohr.debian.org
X-Spam-Level: 
X-Spam-Status: No, hits=-7.0 required=4.0 tests=BAYES_00,HAS_PACKAGE,
	RCVD_IN_SORBS autolearn=no version=2.60-bugs.debian.org_2005_01_02
Resent-Sender: Debian BTS <debbugs@bugs.debian.org>
Resent-Date: Sun, 30 Jul 2006 01:33:17 -0700
X-Spam-Score: -1.7 (-)

Package: tinyscheme
Version: 1.37-3
Severity: important

To reproduce the bug, type this at the command line:

$ tinyscheme 
TinyScheme 1.37
> (let (x 1))
Segmentation fault

-- System Information:
Debian Release: testing/unstable
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.14.3-satapm
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968) (ignored: LC_ALL set to C)

Versions of packages tinyscheme depends on:
ii  libc6                         2.3.6-13   GNU C Library: Shared libraries

tinyscheme recommends no packages.

-- no debconf information


----- End forwarded message -----

-- 
personal contact:	panu.kalliokoski@helsinki.fi, +35841 5323835
technical contact:	atehwa@iki.fi, http://www.iki.fi/atehwa/
PGP fingerprint:	0EA5 9D33 6590 FFD4 921C  5A5F BE85 08F1 3169 70EC
Please consider membership of http://www.hospitalityclub.org/!



Reply sent to Panu Kalliokoski <panu.kalliokoski@helsinki.fi>:
You have marked Bug as forwarded. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Panu Kalliokoski <atehwa@sange.fi>:
Bug#380439; Package tinyscheme. (Tue, 23 Sep 2008 23:27:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luca Falavigna <dktrkranz@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to Panu Kalliokoski <atehwa@sange.fi>. (Tue, 23 Sep 2008 23:27:02 GMT) Full text and rfc822 format available.

Message #33 received at 380439@bugs.debian.org (full text, mbox):

From: Luca Falavigna <dktrkranz@ubuntu.com>
To: 380439@bugs.debian.org
Subject: NMU patch for 1.37-3.1
Date: Wed, 24 Sep 2008 01:20:32 +0200
[Message part 1 (text/plain, inline)]
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

severity 380439 serious
tag 380439 + patch
thanks

Please find attached NMU patch for 1.37-3.1 which should fix this bug.

- --
 . ''`.      Luca Falavigna
 : :'  :  Ubuntu MOTU Developer
 `. `'`     Debian Maintainer
   `-      GPG Key: 0x86BC2A50
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org

iEYEARECAAYFAkjZeb8ACgkQnXjXEYa8KlByHwCdHAHb7rgd9Yjw5rREuH0UzUCV
ytcAn3wGcprI34bjWZBE/SNrRI0zL0xo
=+hyW
-----END PGP SIGNATURE-----
[tinyscheme_1.37-3.1.debdiff (text/plain, attachment)]

Severity set to `serious' from `important' Request was from Luca Falavigna <dktrkranz@ubuntu.com> to control@bugs.debian.org. (Tue, 23 Sep 2008 23:27:06 GMT) Full text and rfc822 format available.

Tags added: patch Request was from Luca Falavigna <dktrkranz@ubuntu.com> to control@bugs.debian.org. (Tue, 23 Sep 2008 23:27:06 GMT) Full text and rfc822 format available.

Reply sent to Luca Falavigna <dktrkranz@ubuntu.com>:
You have taken responsibility. (Wed, 24 Sep 2008 09:51:03 GMT) Full text and rfc822 format available.

Notification sent to Volker Grabsch <vog@notjusthosting.com>:
Bug acknowledged by developer. (Wed, 24 Sep 2008 09:51:03 GMT) Full text and rfc822 format available.

Message #42 received at 380439-close@bugs.debian.org (full text, mbox):

From: Luca Falavigna <dktrkranz@ubuntu.com>
To: 380439-close@bugs.debian.org
Subject: Bug#380439: fixed in tinyscheme 1.37-3.1
Date: Wed, 24 Sep 2008 09:17:04 +0000
Source: tinyscheme
Source-Version: 1.37-3.1

We believe that the bug you reported is fixed in the latest version of
tinyscheme, which is due to be installed in the Debian FTP archive:

tinyscheme_1.37-3.1.diff.gz
  to pool/main/t/tinyscheme/tinyscheme_1.37-3.1.diff.gz
tinyscheme_1.37-3.1.dsc
  to pool/main/t/tinyscheme/tinyscheme_1.37-3.1.dsc
tinyscheme_1.37-3.1_i386.deb
  to pool/main/t/tinyscheme/tinyscheme_1.37-3.1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 380439@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Luca Falavigna <dktrkranz@ubuntu.com> (supplier of updated tinyscheme package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 24 Sep 2008 01:15:22 +0200
Source: tinyscheme
Binary: tinyscheme
Architecture: source i386
Version: 1.37-3.1
Distribution: unstable
Urgency: medium
Maintainer: Panu Kalliokoski <atehwa@sange.fi>
Changed-By: Luca Falavigna <dktrkranz@ubuntu.com>
Description: 
 tinyscheme - Very small scheme implementation
Closes: 380439 499887
Changes: 
 tinyscheme (1.37-3.1) unstable; urgency=medium
 .
   * Non-maintainer upload.
   * scheme.c:
     - Apply patch from upstream CVS (revno 1.13 and 1.21) to fix a
       segfault when invoking let or letrec (Closes: #380439).
     - Apply patch from upstream CVS (revno 1.7) to fail gracefully when
       mk_vector is out of memory (Closes: #499887).
Checksums-Sha1: 
 f1cbb9e35bd2eaec9652c28dfa2a1bb6fda242d2 1012 tinyscheme_1.37-3.1.dsc
 cb5e9469bda7c1ea4d112f3506121a1ac5918961 5152 tinyscheme_1.37-3.1.diff.gz
 7610d657bebe4e4aec6b993df7e5c876bf835143 50586 tinyscheme_1.37-3.1_i386.deb
Checksums-Sha256: 
 1f29589e17ad1b13a848ff947662a877086d29d13dbd749066f34eb4cbbf76d0 1012 tinyscheme_1.37-3.1.dsc
 b0ad7af3b927534368c07037cfc4430e26606b7adc97ce2d09d6424a3ce97b2f 5152 tinyscheme_1.37-3.1.diff.gz
 599fe1a0125bdef283c4da025551578ea8defb6baf3d9a61bcaae72496abf1ca 50586 tinyscheme_1.37-3.1_i386.deb
Files: 
 f2fd2a0712fd77dcfe0c2ed30925f2a7 1012 interpreters optional tinyscheme_1.37-3.1.dsc
 83606d48047e6052bd01b4e074ae0c1f 5152 interpreters optional tinyscheme_1.37-3.1.diff.gz
 99e7a2834b9a144a2f78bb87d4a87471 50586 interpreters optional tinyscheme_1.37-3.1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkjaAssACgkQbdB4RPTVesrhugCfeEwJx20U7ikuoRzytpG6mnKG
OQQAn0pp584M+vIEE+FLPa3b6QynJ0zO
=xtYN
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 16 Mar 2009 08:42:26 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 01:28:19 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.